Page MenuHomeFreeBSD

domains: rewrite documentation to describe present state
ClosedPublic

Authored by glebius on Sep 10 2022, 8:27 AM.
Tags
None
Referenced Files
F86355638: D36513.diff
Wed, Jun 19, 7:25 AM
Unknown Object (File)
Mon, Jun 10, 2:20 PM
Unknown Object (File)
Fri, May 31, 11:57 AM
Unknown Object (File)
Wed, May 29, 6:05 AM
Unknown Object (File)
May 9 2024, 6:59 PM
Unknown Object (File)
May 8 2024, 1:18 AM
Unknown Object (File)
May 8 2024, 1:06 AM
Unknown Object (File)
May 8 2024, 12:57 AM

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Skipped
Unit
Tests Skipped
Build Status
Buildable 47356
Build 44243: arc lint + arc unit

Event Timeline

debdrup added inline comments.
share/man/man9/domain.9
36

This can be word-smithed, I think.

55

A bit of word-smithing here too, might need to reflow the entire paragraph as a result.

59

Missing particle here.

65

There's a non-specific reference here, and I think the sentence can benefit from being rewritten but without understanding the reference I'm not having much luck coming up with something.

121

Missing particle here, paragraph might need to be reflowed.

215

I'd suggest using existing "X first appeared in N", as that's common across a wide variety of manual pages.

Apply debdrup's suggestions.

Partial review, will resume when brain and keyboard both cooperate.

share/man/man9/domain.9
36

Is that about kernel implementation of sockets for use by userland, or a kernel-internal API?

55

Alternative rewording

59

2 missing articles, not 1. I'm undecided about "an application", "the application", or "applications".11

61–67

What I think this likely means, clarified and copyedited.

65

See my guess below.

68–70

There aren't 3 "protocol" argument, only one (which is 3rd in the argument list)

72

"shall" as a future imperative modal is pretty much extinct.

Add corrections from pauamma

glebius added inline comments.
share/man/man9/domain.9
36

This is KPI (kernel PI) that allows to implement sockets for use by userland. The KPI itself doesn't create any kind of socket, but all existing sockets are built on it.

55

Can you please guys agree on some final wording and I will abide. :)

mhorne added inline comments.
share/man/man9/domain.9
166

.Xr SYSINIT 9

You might add it to SEE ALSO as well/instead.

This revision was not accepted when it landed; it landed in state Needs Review.Sep 14 2022, 9:13 PM
This revision was automatically updated to reflect the committed changes.